FROM node:18-alpine as sass

RUN NODE_OPTIONS=--dns-result-order=ipv4first npm install -g sass
WORKDIR /build
COPY ./static/style ./style
RUN sass ./style:./style \
    --no-source-map \
    --style=compressed


FROM python:3.11-slim

WORKDIR /app

COPY . .
COPY --from=sass /build/style/ ./static/style/

RUN pip install --no-cache-dir -r requirements.txt

ENV FLASK_ENV=production
ENV PYTHONUNBUFFERED=1

CMD ["gunicorn", "app:app", "-b", "0.0.0.0:80", "--workers", "4"]
